# Uses of Class
org.springframework.web.servlet.mvc.method.RequestMappingInfo.BuilderConfiguration

Packages that use RequestMappingInfo.BuilderConfiguration
Package
Description
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.
org.springframework.web.servlet.mvc.method.annotation
MVC infrastructure for annotation-based handler method processing, building on the `org.springframework.web.method.annotation` package.

## Uses of RequestMappingInfo.BuilderConfiguration in org.springframework.web.servlet.mvc.method

Methods in org.springframework.web.servlet.mvc.method with parameters of type RequestMappingInfo.BuilderConfiguration
Modifier and Type
Method
Description
`RequestMappingInfo.Builder`
RequestMappingInfo.Builder.`options(RequestMappingInfo.BuilderConfiguration options)`
Provide additional configuration needed for request mapping purposes.

## Uses of RequestMappingInfo.BuilderConfiguration in org.springframework.web.servlet.mvc.method.annotation

Methods in org.springframework.web.servlet.mvc.method.annotation that return RequestMappingInfo.BuilderConfiguration
Modifier and Type
Method
Description
`RequestMappingInfo.BuilderConfiguration`
RequestMappingHandlerMapping.`getBuilderConfiguration()`
Obtain a `RequestMappingInfo.BuilderConfiguration` that reflects the internal configuration of this `HandlerMapping` and can be used to set `RequestMappingInfo.Builder.options(RequestMappingInfo.BuilderConfiguration)`.